文档

​
​

Development

User Acquisition

Monetization

工业

Vivox Unity SDK

Vivox Unity SDK

此页面不支持所选语言。
Vivox
​
​
Vivox Unity SDK
  • Overview
  • Get started
  • Release notes
  • Developer guide
    • Set up your project
    • Create voice and text channels
      • Channel management
      • Channel name criteria
      • Channel types
      • Positional channels
      • Channel identifiers for large scale games
      • Participant management
      • Join a channel
      • Leave a channel
      • Channel webhooks
      • Automatic connection recovery
    • Messaging
    • Player management
    • Device management
    • Audio management
    • Mobile development
    • Text-to-speech
    • Speech-to-text
    • Real-time recording
    • Server-side-recording
    • Troubleshooting
  • Tutorials
  • Reference
  1. Vivox Unity SDK 文档
  2. Vivox Unity 开发者指南
  3. 频道

Channel webhooks

Learn how to set up Vivox channel webhooks for monitoring.
阅读时间3 分钟
最后更新于 7 个月前

Set up channel webhooks to monitor when Vivox channels go active or inactive.
注意
Channel webhooks are an enterprise-only feature. To enable this feature, contact a Vivox representative.

Create channel webhooks

Follow these steps to set up a new webhook.
  1. Navigate to the Vivox Events section of the Unity Dashboard.
  2. Add your endpoint and secret key.
  3. Select Active Channels as the event type.
When events occur, Vivox sends webhook requests to your endpoint with an X-Unity-Signature header containing an HMAC-SHA256 signature of the request body. To verify that the webhook is authentic, compute the HMAC-SHA256 of the request body using your secret key and compare it to the value in the X-Unity-Signature header.

Webhook notifications

After setup, webhook notifications are sent when Vivox channels become active or go inactive. The notifications are sent to the endpoint as POST requests with the following request body:
{ "channel_uri": "sip:confctl-g-issuer.channel_name.unity_env_id@domain.vivox.com", "action": "activated", "timestamp": "2024-01-29T15:45:30Z", "issuer": "some-issuer", "project_id": "unity-project-id"}
注意
The possible action types are
activated
and
deactivated
.
Store the
channel_uri
and timestamp in the service that handles these webhooks. Webhook events are sent through a pub/sub that doesn't guarantee message order. When receiving a notification, have the service check if the activated/deactivated timestamp is greater than the last updated timestamp before activating or deactivating the channel to be sure it has the most up to date information.

Active channels resync endpoint

The channel webhooks resync endpoint triggers a resync of all active channels. When this endpoint is called for a Unity project, the Vivox server pushes webhook notifications for every active channel that maps to the project, including each channel’s originally created timestamp. This endpoint has a rate limit of 1 request per minute by IP.
It's recommended to only use this endpoint when a resync is necessary because it will push a high volume of events to the webhook endpoint provided by the user.

Authentication

The channel webhooks resync endpoint uses Unity service accounts for authentication. The required service account role for this API is
Multiplayer/Vivox Channel Admin
.

Webhook breakdown

POST

Uses the base URL of
https://vivox.services.api.unity.com
/channel/v1/organizations/{organizationId}/projects/{projectId}/webhooks/trigger-resync

Path parameters

The webhook uses the following parameters:
  • organizationId
    : the ID of the Unity organization.
  • projectId
    : the ID of the Unity project.

Sample call

curl --location --request POST 'https://vivox.services.api.unity.com/channel/v1/organizations/:organizationId/projects/:projectId/webhooks/trigger-resync' --user <unity-service-account-key-id>:<unity-service-account-secret-key>'

Output

The following output responses are available:
  • 202: Accepted
{ "msg": "success"}
  • 401
    • Error response. This error is raised in the following scenarios:
      • Invalid service account.
  • 403
    • Error response. This error is raised in the following scenarios:
      • Service account missing permissions.
      • The organization does not have access to the project.
  • 404: Not found
    • Error response. This error is raised in the following scenarios:
      • ProjectID not found
  • 500
    • Error response. A server error was encountered while processing the request.

Copyright © 2026 Unity Technologies
法律信息隐私政策CookiesDocumentation Terms of Use请勿出售或分享我的个人信息您的隐私选择(Cookie 设置)

“Unity”、Unity 徽标及其他 Unity 商标是 Unity Technologies 或其附属公司在美国和其他地方的商标或注册商标(此处查看更多信息)。其他名称或品牌是其各自所有者的商标。

为方便起见,一些页面是机器翻译的,可能包含不准确的内容。如有信息不一致的情况,以英文版本为准。

  • 在本页上
    • Create channel webhooks

    • Webhook notifications

    • Active channels resync endpoint

    • Authentication

    • Webhook breakdown

      • POST

      • Path parameters

      • Sample call

      • Output


报告此页面的问题